mscorlib 2.0.0.0 4.0.0.0 Contravariant System.Delegate `` `` System.Int32 To be added. The first object to compare. The second object to compare.

Represents the method that compares two objects of the same type.

A containing a value that reflects the sort order of the objects.

Value
Condition
Less than zero
is less than .
Zero
equals .
Greater than zero
is greater than .

A containing a value that reflects the sort order of the objects.

Value
Condition
Less than zero
is less than .
Zero
equals .
Greater than zero
is greater than . To be added.

This delegate is used by the method , and in to sort the elements of the collection.